<?php
class Principal
{
	public  $qry;
	private	$sql;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		/*ob_start();
		session_start();*/
		$this->id_empresa = $_SESSION["fild_id_empresa"];
		$this->mysqlCom = new MysqlConnect();
	}



	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}



	function SelectX9Finalizado()
	{
		$this->sql = "SELECT b.id_evento, b.nome, descricao as tipo_evento, a.data_finalizacao
							FROM x9 a, evento b, tipo_evento c
							where a.id_evento = b.id_evento
							and b.id_tipo_evento = c.id_tipo_evento
							and a.data_finalizacao >= CURRENT_date - 7
							and a.id_empresa = $this->id_empresa
							and a.x9 = 'Finalizado'
							order by a.data_finalizacao";
		$this->execulta();
	}


	function SelectX9Ativos()
	{
		$this->sql = "SELECT b.id_evento, b.nome, descricao as tipo_evento, b.data_evento
						FROM x9 a, evento b, tipo_evento c
						where a.id_evento = b.id_evento
						and b.id_tipo_evento = c.id_tipo_evento
						and a.id_empresa = $this->id_empresa
						and a.x9 = 'Ativo'
						order by b.data_evento";
		$this->execulta();
	}

	function SelectProximoEvento()
	{
		$this->sql = "SELECT a.id_evento, a.nome, a.data_evento, c.descricao as tipo_evento
					FROM evento a, tipo_evento c
					where a.id_tipo_evento = c.id_tipo_evento
					and data_evento between current_date and current_date +10
					and a.id_empresa = $this->id_empresa
					order by a.data_evento";
		$this->execulta();
	}


	function SelectProximaPrevia()
	{
		$this->sql = "SELECT a.id_evento, a.nome, b.data, b.hora  
						FROM evento a, evento_previa b
						where a.id_evento = b.id_evento
						and b.data between current_date and current_date +10
						and a.id_empresa = $this->id_empresa
						order by b.data";
		$this->execulta();
	}
}
